import * as pulumi from '@pulumi/pulumi';
import * as aws from '@pulumi/aws';
import * as awsx from '@pulumi/awsx';
import type { ModuleFunction } from '@exobase/builds';
export declare type LanguageExtension = 'ts' | 'py' | 'go' | 'cs' | 'js' | 'swift';
export declare type Args = {
    sourceDir: string;
    sourceExt: LanguageExtension;
    runtime: string;
    timeout: number;
    memory: number;
    getZip: (func: {
        module: string;
        function: string;
    }) => pulumi.asset.FileArchive;
    getHandler: (func: {
        module: string;
        function: string;
    }) => string;
    functions: ModuleFunction[];
    environmentVariables: {
        [key: string]: pulumi.Input<string>;
    };
    domain?: {
        domain: string;
        fqd: string;
        subdomain: string;
    };
};
/**
 * Static website using Amazon S3, CloudFront, and Route53.
 */
export declare class AWSLambdaAPI extends pulumi.ComponentResource {
    readonly api: awsx.apigateway.API;
    readonly lambdas: aws.lambda.Function[];
    readonly aRecord?: aws.route53.Record;
    readonly role: aws.iam.Role;
    constructor(name: string, args: Args, opts?: pulumi.ResourceOptions);
}
